Page MenuHomePhabricator

Insertion of nowiki tags at the nowiki project
Closed, ResolvedPublic0 Story Points

Description

The nowiki-tag is inserted at nowiki (aka no.wikipedia.org) to such a degree that an Abuse filter has been created to find the entries. The nowiki tags can be seen in the recent changes.

This issue has been raised in various form(s) several times, without any solution.

Event Timeline

jeblad created this task.Nov 6 2016, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2016, 7:22 PM
jeblad updated the task description. (Show Details)Nov 6 2016, 7:26 PM
jeblad renamed this task from Insertion of nowiki at nowiki to Insertion of nowiki tags at nowiki project.Nov 6 2016, 7:38 PM
jeblad renamed this task from Insertion of nowiki tags at nowiki project to Insertion of nowiki tags at the nowiki project.
jeblad updated the task description. (Show Details)
jeblad updated the task description. (Show Details)Nov 6 2016, 7:54 PM

As recent changes only last 30 days, it would be useful to post actual examples here, for future reference.

jeblad added a comment.Nov 7 2016, 7:48 AM

Some examples

Some examples

  • Venstre (due to missing curly paenthesis?)

Yeah, looks like a typo the user made in the wikitext (since template parameters can still only be edited as wikitext, there's T148329 and maybe some other tasks). This is actually a very interesting reaction of Parsoid/VE to this user error. I think the result is actually strictly better than what would happen without the <nowiki> (and it's a lot easier to spot and notice the issue, too):

Perhaps the user was working based on some wikitext-specific documentation and confused about the different editor. (Perhaps you could ask them?)

Typing [[ in VE causes a link dialog to pop up, but doesn't warn about using wikitext anymore. Perhaps that should be changed back.

Copy-pasting [[Alytes]] actually results in just "Alytes" (without a link) being pasted. This is probably some new bug…

This definitely looks like a bug in VE. Some of the issues here look like the known problem where users are confused what is part of link label and what is outside (T128060, T39939 and other tasks). But some pieces look like gibberish (like mingcurlig,rntngr. at the end of one of the paragraphs). I've seen some bugs filed about typed text being duplicated in funny ways in some circumstances, but I can't find them now.

T128060/T39939

jeblad added a comment.EditedNov 15 2016, 9:49 AM

Note that Norwegian is a language that has a morphology with a lot of affix rules. The way VisualEditor works now makes it impossible to use the short form of the lik and additional trailing chars, instead we must write out both the link text and the link target. This is in my opinion an error in the VisualEditor, T129778: VisualEditor does not respect trailing chars.

The bug reported here is although about an slightly other issue; users confusing how they make and edit a valid link.

Jdforrester-WMF changed the task status from Open to Stalled.Dec 13 2016, 8:09 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

At this point everything posted is marked as Resolved or merged into T50463: Parsoid: Links created with VE are piped links even when linktrail could be used; close in lieu of that?

jhsoby added a subscriber: jhsoby.Dec 13 2016, 8:58 PM
jeblad closed this task as Resolved.Apr 13 2017, 5:26 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 13 2017, 5:26 PM
Jdforrester-WMF set the point value for this task to 0.Apr 20 2017, 8:59 PM